﻿using System;

namespace SalaryComputation
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine("Salary Computation Program");
            Console.WriteLine("--------------------------");

            // Ask the user to input the rate per day
            Console.Write("Enter the rate per day: ");
            double ratePerDay;
            if (!double.TryParse(Console.ReadLine(), out ratePerDay) || ratePerDay < 0)
            {
                Console.WriteLine("Invalid input. Please enter a valid non-negative number for the rate per day.");
                return;
            }

            // Ask the user to input the number of days worked
            Console.Write("Enter the number of days worked: ");
            int numberOfDaysWorked;
            if (!int.TryParse(Console.ReadLine(), out numberOfDaysWorked) || numberOfDaysWorked < 0)
            {
                Console.WriteLine("Invalid input. Please enter a valid non-negative integer for the number of days worked.");
                return;
            }

            // Ask the user to input the deduction
            Console.Write("Enter the deduction: ");
            double deduction;
            if (!double.TryParse(Console.ReadLine(), out deduction) || deduction < 0)
            {
                Console.WriteLine("Invalid input. Please enter a valid non-negative number for the deduction.");
                return;
            }

            // Calculate the salary
            double salary = (numberOfDaysWorked * ratePerDay) - deduction;

            // Display the calculated salary
            Console.WriteLine($"Your salary is: {salary:C}");

            Console.WriteLine("Press any key to exit.");
            Console.ReadKey();
        }
    }
}
